# args

Processes command line arguments for Textadept.

## Arg Events

+ `'arg_none'`
  Called when no command line arguments are passed to Textadept on init.

- - -

## Functions

- - -

<a id="process"></a>
### `process` (arg)

Processes command line arguments.
Add command line switches with `args.register()`. Any unrecognized arguments
are treated as filepaths and opened.
Generates an `'arg_none'` event when no args are present.

Parameters:

* `arg`: Argument table.

See also:

* [`register`](#register)

- - -

<a id="register"></a>
### `register` (switch1, switch2, narg, f, description)

Registers a command line switch.

Parameters:

* `switch1`: String switch (short version).
* `switch2`: String switch (long version).
* `narg`: The number of expected parameters for the switch.
* `f`: The Lua function to run when the switch is tripped.
* `description`: Description of the switch.

- - -


